<template>
<view>
<view class="about">
  <view class="logo">
    <image :src="about.logo"></image>
    <view>{{about.name?about.name:''}}
      <text v-if="about.version">当前版本：{{about.version}}</text>
    </view>
  </view>
  <view class="cellphone" @tap="callPhone" v-if="about.hotLine">服务热线：{{about.hotLine}}</view>
  <view class="info">
  <rich-text :nodes="about.aboutAs" @tap="richImg"></rich-text>
  </view>
</view>
<view class="copy">{{about.recordNumber?about.recordNumber:''}}</view>
</view>
</template>

<script>
const req = require("../../utils/request.js");

export default {
  data() {
    return {
      about: {aboutAs:''}
    };
  },

  components: {},
  props: {},
  onLoad: function (options) {
    this.getAbout();
  },
  methods: {
    callPhone() {
      uni.makePhoneCall({
        phoneNumber: this.about.hotLine
      });
    },

    getAbout() {
      var _this = this;
      req.getRequest('/api/other/config', {}, (res)=> {
        _this.about.aboutAs = res.ABOUT_US
		_this.about.hotLine = res.CONFIG_SERVICE_HOT_MOBILE
		_this.about.logo = res.CONFIG_PROJECT_LOGO
      }, true);
    }

  }
};
</script>
<style>
@import "./about.css";
</style>